Update a Kubernetes cluster

PUT/v1/kubernetes_clusters/{id}

A PUT request to /v1/kubernetes_clusters/{id} will update a Kubernetes cluster specified in the path parameter. Attach labels using the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
id
string

A unique identifier of a Kubernetes cluster.

Request Body

FieldDetails
labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/kubernetes_clusters/46dBnnd7" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "46dBnnd7",  "name": "k8s-cluster",  "status": "pending",  "location_id": 1778,  "location_code": "location3659",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:06:42Z",  "updated_at": "2026-05-28T07:06:42Z"}